#ifndef _TRANSPODERS__H
#define _TRANSPODERS__H


#include <sys/types.h> 
#include <sys/stat.h> 
#include <iostream>
#include <fstream>
#include <dirent.h>  
#include <string>

using std::string;
using std::ifstream;

class cTranspoders {
public:
	// Property
	char cName[100];
	int iCount;
	int iFrequency[1000];
        int iSource;
	char cPolarization[1000];
	int iSymbolrate[1000];
	int iArrTranspodersFile;
	string sArrTranspodersFile[1000];
	// Method
	string ReadIni(char cFile[1000], string sCategory, string sField);
	string IntToStr(int iValue);
	string StrAfterChar(string sLine, char cFind);
	string StrBeforeChar(string sLine, char cFind);
	string StrTrim(string sInput);
	string CharToStr(char *cInput);
	int StrToInt(string sInput);
	void GetTranspodersData(char cFile[1000]);
	void Reset(void);
	int openDir (char * path, char * cFilter); 
	void LoadArrTranspoders(char * cPath);
};

#endif //_TRANSPODERS__H
